> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/workflows-and-signing/add-comments.md).

# Add Comments

## POST /api/Public/AddComments

> Add comments

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"AddComments"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.AddCommentsRequest":{"required":["comment","documentID"],"type":"object","properties":{"documentID":{"type":"integer","format":"int32"},"comment":{"minLength":1,"type":"string"}},"additionalProperties":false}}},"paths":{"/api/Public/AddComments":{"post":{"tags":["AddComments"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.AddCommentsRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Add comments","operationId":"post_AddComments"}}}}
```
